aboutsummaryrefslogtreecommitdiff
path: root/net/nds
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 23:40:22 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 23:40:22 +0000
commitf6499eb8393ebb1de5ccefe4356053035b090acb (patch)
treeaeb4f93c59c39737a549fd5405881d4040c0db32 /net/nds
parent4c047569a7fb213df74643e7e92d8b82be8f25c8 (diff)
downloadslackbuilds-f6499eb8393ebb1de5ccefe4356053035b090acb.tar.gz
slackbuilds-f6499eb8393ebb1de5ccefe4356053035b090acb.tar.bz2
movendo libs...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@685 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'net/nds')
-rwxr-xr-xnet/nds/openldap/openldap-client.SlackBuild123
-rwxr-xr-xnet/nds/openldap/openldap.SlackBuild135
2 files changed, 258 insertions, 0 deletions
diff --git a/net/nds/openldap/openldap-client.SlackBuild b/net/nds/openldap/openldap-client.SlackBuild
new file mode 100755
index 00000000..b2e49184
--- /dev/null
+++ b/net/nds/openldap/openldap-client.SlackBuild
@@ -0,0 +1,123 @@
+#!/bin/bash
+#
+# slackbuild script for openldap-client
+#
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="openldap-client"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=2.3.24}
+BUILD=${BUILD:=2rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="tgz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+KEY="http://www.courier-mta.org/KEYS.bin"
+SRC="openldap-$VERSION.$PACKAGE_EXT"
+#URL="ftp://ftp.openldap.org/pub/OpenLDAP/openldap-release/$SRC"
+URL="http://public.planetmirror.com/pub/openldap/openldap-release/$SRC"
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+SRC_DIR="$SRC_DIR/openldap"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR="/usr/lib64"
+else
+ LIBDIR="/usr/lib"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+mv openldap-$VERSION $PACKAGE-$VERSION
+cd $PACKAGE-$VERSION
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR --without-kerberos \
+ --without-cyrus-sasl --without-tls --without-threads --disable-slapd --disable-slurpd
+
+make depend
+make || exit 32
+make DESTDIR=$TMP/package-$PACKAGE install
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+openldap-client: openldap-client (LDAP application client)
+openldap-client:
+openldap-client: The OpenLDAP Project is a collaborative effort to provide a robust,
+openldap-client: commercial-grade, fully featured, open source LDAP software suite.
+openldap-client: The project is managed by a worldwide community of volunteers that
+openldap-client: use the Internet to communicate, plan, and develop OpenLDAP Software
+openldap-client: and its related documentation. OpenLDAP Software provides a complete
+openldap-client: LDAP implementation including server, clients, C SDK, and associated
+openldap-client: tools.
+openldap-client:
+openldap-client:
+EOF
+
+# configs
+if [ -f "etc/openldap/ldap.conf" ]; then
+ mv etc/openldap/ldap.conf etc/openldap/ldap.conf.new
+fi
+
+if [ -f "etc/openldap/slapd.conf" ]; then
+ mv etc/openldap/slapd.conf etc/openldap/slapd.conf.new
+fi
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in ANNOUNCEMENT CHANGES COPYRIGHT INSTALL LICENSE README; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/net/nds/openldap/openldap.SlackBuild b/net/nds/openldap/openldap.SlackBuild
new file mode 100755
index 00000000..1cb6ee6c
--- /dev/null
+++ b/net/nds/openldap/openldap.SlackBuild
@@ -0,0 +1,135 @@
+#!/bin/bash
+#
+# slackbuild script for openldap
+# by rhatto at riseup.net
+#
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="openldap"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=2.3.24}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="tgz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+KEY="http://www.courier-mta.org/KEYS.bin"
+SRC="$PACKAGE-$VERSION.$PACKAGE_EXT"
+#URL="ftp://ftp.openldap.org/pub/OpenLDAP/openldap-release/$SRC"
+URL="http://public.planetmirror.com/pub/openldap/openldap-release/$SRC"
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR="/usr/lib64"
+else
+ LIBDIR="/usr/lib"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+
+# otherwise will not work
+DBINC="`ls -l /usr/include/db.h | awk '{ print $10 }'`"
+if [ ! -f "$DBINC" ]; then
+ cp /usr/include/db.h db.h.save
+fi
+
+ln -sf /usr/include/db4/db.h /usr/include/db.h
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR
+make depend
+make || exit 32
+make DESTDIR=$TMP/package-$PACKAGE install
+
+# fix your system
+if [ ! -f "$DBINC" ]; then
+ cp db.h.save /usr/include/db.h
+else
+ ln -sf $DBINC /usr/include/db.h
+fi
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+openldap: openldap (LDAP suite of applications and development tools)
+openldap:
+openldap: The OpenLDAP Project is a collaborative effort to provide a robust,
+openldap: commercial-grade, fully featured, open source LDAP software suite.
+openldap: The project is managed by a worldwide community of volunteers that
+openldap: use the Internet to communicate, plan, and develop OpenLDAP Software
+openldap: and its related documentation. OpenLDAP Software provides a complete
+openldap: LDAP implementation including server, clients, C SDK, and associated
+openldap: tools.
+openldap:
+openldap:
+EOF
+
+# configs
+mv etc/openldap/ldap.conf etc/openldap/ldap.conf.new
+mv etc/openldap/slapd.conf etc/openldap/slapd.conf.new
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in ANNOUNCEMENT CHANGES COPYRIGHT INSTALL LICENSE README; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+# install script
+echo '( if [ ! -f "etc/openldap/ldap.conf" ]; then mv etc/openldap/ldap.conf.new etc/openldap/ldap.conf; fi )' > install/doinst.sh
+echo '( if [ ! -f "etc/openldap/slapd.conf" ]; then mv etc/openldap/slapd.conf.new etc/openldap/slapd.conf; fi )' >> install/doinst.sh
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+